#ifndef INCLUDED_OFFICECFG_OFFICE_UPDATE_HXX
#define INCLUDED_OFFICECFG_OFFICE_UPDATE_HXX

#include "sal/config.h"

#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Update {

struct Update: public comphelper::ConfigurationGroup< Update> {
    static rtl::OUString path() { return rtl::OUString("/org.openoffice.Office.Update/Update"); }

struct Enabled: public comphelper::ConfigurationProperty<Enabled, bool> {
    static rtl::OUString path() { return rtl::OUString("/org.openoffice.Office.Update/Update/Enabled"); }
private:
    Enabled(); // not defined
    ~Enabled(); // not defined
};

struct Mode: public comphelper::ConfigurationProperty<Mode, sal_Int32> {
    static rtl::OUString path() { return rtl::OUString("/org.openoffice.Office.Update/Update/Mode"); }
private:
    Mode(); // not defined
    ~Mode(); // not defined
};

struct LastUpdateTime: public comphelper::ConfigurationProperty<LastUpdateTime, sal_Int64> {
    static rtl::OUString path() { return rtl::OUString("/org.openoffice.Office.Update/Update/LastUpdateTime"); }
private:
    LastUpdateTime(); // not defined
    ~LastUpdateTime(); // not defined
};

struct URL: public comphelper::ConfigurationProperty<URL, rtl::OUString> {
    static rtl::OUString path() { return rtl::OUString("/org.openoffice.Office.Update/Update/URL"); }
private:
    URL(); // not defined
    ~URL(); // not defined
};

struct UpdateChannel: public comphelper::ConfigurationProperty<UpdateChannel, rtl::OUString> {
    static rtl::OUString path() { return rtl::OUString("/org.openoffice.Office.Update/Update/UpdateChannel"); }
private:
    UpdateChannel(); // not defined
    ~UpdateChannel(); // not defined
};

struct UpdateRunning: public comphelper::ConfigurationProperty<UpdateRunning, bool> {
    static rtl::OUString path() { return rtl::OUString("/org.openoffice.Office.Update/Update/UpdateRunning"); }
private:
    UpdateRunning(); // not defined
    ~UpdateRunning(); // not defined
};

struct OldBuildID: public comphelper::ConfigurationProperty<OldBuildID, rtl::OUString> {
    static rtl::OUString path() { return rtl::OUString("/org.openoffice.Office.Update/Update/OldBuildID"); }
private:
    OldBuildID(); // not defined
    ~OldBuildID(); // not defined
};

struct SeeAlso: public comphelper::ConfigurationProperty<SeeAlso, rtl::OUString> {
    static rtl::OUString path() { return rtl::OUString("/org.openoffice.Office.Update/Update/SeeAlso"); }
private:
    SeeAlso(); // not defined
    ~SeeAlso(); // not defined
};

private:
    Update(); // not defined
    ~Update(); // not defined
};

} } }

#endif
